<ul>
{% for c in categorias %}
<li><a href="index.php?option=com_my_component&controller=blog&task=mostrarListaArticulos&id_categoria={{ c.id }}&Itemid={{ Itemid }}">{{ c.title }}</a></li>
{% endfor %}
</ul>